/*

  Copyright (C) 1999-2005 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/

#if 0
extern char *executable;
#endif

/* ***************************************************************************

   Declaration of public functions (prototypes)
 */

extern flag_t
web_knots(FILE *out, petrinet_t *p, knot_type_t type);

extern flag_t
web_knots_form(FILE *out, petrinet_t *p);

extern flag_t
web_knot_card(FILE *out, petrinet_t *p, knot_t *k);

extern flag_t
web_knot_card_file(petrinet_t *p, knot_t *k);

extern flag_t
web_subnet_card_file(petrinet_t *p, subnet_t *s);

extern void
web_search(FILE *out, petrinet_t *p);

extern void
web_subnets_list(FILE *out, petrinet_t *p);

extern flag_t
web_path(FILE *out, petrinet_t *p);

extern flag_t
web_pathnet(FILE *out, petrinet_t *p);

extern void
web_header(FILE *out, petrinet_t *p);

extern void
web_footer(FILE *out, petrinet_t *p);

extern flag_t
web_htitem_list(FILE *out, htitem_t *l);

extern unsigned char *
form_knot(unsigned char *buffer, petrinet_t *p, knot_t *k);

extern unsigned char *
form_subnet(unsigned char *buffer, petrinet_t *p, subnet_t *s);

extern flag_t
web_knot_card_img(FILE *out, xmlChar *id);

extern flag_t
web_knot_card_doc(FILE *out, xmlChar *id);

extern flag_t
web_card_img(FILE *out, xmlChar *id, char *doc_prefix);

