/*

  Copyright (C) 1999-2005 by Alexander Tenbusch

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License 
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

*/



/* ***************************************************************************

   preprocessor macros for access to 
 */

/* ***************************************************************************

   Declaration of public functions (prototypes)
 */

extern flag_t
graph_pathnet(FILE *out, petrinet_t *p);

extern flag_t
graph_subnet(FILE *out, petrinet_t *p, subnet_t *s, index_t number);

extern flag_t
graph(FILE *out, petrinet_t *p);

extern void
graph_header(FILE *out, petrinet_t *p);

extern void
graph_footer(FILE *out);

extern flag_t
graph_knot(FILE *out, petrinet_t *p, knot_t *k);

extern flag_t
graph_knot_file(petrinet_t *p, knot_t *k);

extern flag_t
graph_dot_call(xmlChar *id, char *doc_prefix);

extern flag_t
graph_subnet_file(petrinet_t *p, subnet_t *s, index_t number);
